Problem in asterisk-1.8.x (libxml2)?

Hi
I install from source and i have everything installed but when i execute
asterisk -r i get something like this

asterisk: libxml2.so.2: no version information available (required by asterisk)
asterisk: libxml2.so.2: no version information available (required by asterisk)
Unable to connect to remote asterisk (does /var/run/asterisk/asterisk.ctl exist?)

???
Where can i download the required files to fix this???